@echo off

REM Comprobar parámetro
IF "%1"=="" (
    echo Uso: build_windows.bat ^<PARAMETRO^>
    exit /b 1
)

set PARAM=%1

echo Compilando windows...
make windows || exit /b 1

echo Creando data.jf2...
respak2 -p || exit /b 1

echo Creando paquetes...

REM Crear ZIP release con exe + data.jf2
tar -a -c -f thepool_%PARAM%_win32-x64.zip thepool.exe data.jf2 bin\*.dll || exit /b 1

echo Paquetes generados:
echo   thepool_%PARAM%_win32-x64.zip
